Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5772 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5772 indexed agents, 4819 currently healthy.

Agents indexed
5772 agents
4976 domains
public agent cards · +447 this week
Healthy
4819 agents
4257 domains
card reachable < 6 h
Conformant
4006 agents
3540 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
5 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agent Margin Router” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Screenshot Hub” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“agente-jefe” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Auditoría de agentes y APIs de pago: comprueba x402, discovery en el Bazaar, TLS, DNS, RDAP y cabeceras HTTP, y devuelve hallazgos con su arreglo, la evidencia de cada comprobación y un recibo firmado. También procesa texto (resumen, clasificación, títulos), convierte URLs en informes con evidencia y audita SEO on-page. Pago en USDC sobre Base vía x402, sin registro ni API key. Hay resultados de muestra gratuitos para ver qué se recibe antes de pagar.

  • Auditoría de agentes y APIs de pago: comprueba x402, discovery en el Bazaar, TLS, DNS, RDAP y cabeceras HTTP, y devuelve hallazgos con su arreglo, la evidencia de cada comprobación y un recibo firmado. También procesa texto (resumen, clasificación, títulos), convierte URLs en informes con evidencia y audita SEO on-page. Pago en USDC sobre Base vía x402, sin registro ni API key. Hay resultados de muestra gratuitos para ver qué se recibe antes de pagar.

“AgentReader” is shared by 7 different URLs

All exact-name matches are shown; ranked results follow.

“AgentSEO” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Anokha Web Tools” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.

  • Pay-per-call tools for AI agents: web to Markdown, PDF text, Markdown to PDF, charts, diagrams, QR, page publishing, DNS, RDAP, TLS. x402, USDC on Base, no API key.

  • Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.

“broke2built Data & Intelligence Skills” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

  • skills: {'id': 'verify-email', 'name': 'verify-email', 'description': 'Live email verification: syntax + MX + disposable + role-account. · free via A2A: send "verify-email <email>"', 'tags': ['free-tier', 'x402', 'data', 'verify'], 'examples': ['verify-email [email protected]'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'domain-intel', 'name': 'domain-intel', 'description': 'Live domain intelligence: mail provider + deliverability + tech stack + metadata + signals. · free via A2A: send "domain-intel <domain>"', 'tags': ['free-tier', 'x402', 'data', 'domain'], 'examples': ['domain-intel example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'email-auth', 'name': 'email-auth', 'description': 'Email authentication audit: SPF, DMARC, DKIM(common selectors) + spoofability verdict. · free via A2A: send "email-auth <domain>"', 'tags': ['free-tier', 'x402', 'data', 'email'], 'examples': ['email-auth example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'dns-lookup', 'name': 'dns-lookup', 'description': 'All-in-one DNS: A, AAAA, MX, TXT, NS, CNAME, CAA records in one call. · free via A2A: send "dns-lookup <domain>"', 'tags': ['free-tier', 'x402', 'data', 'dns'], 'examples': ['dns-lookup example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'url-metadata', 'name': 'url-metadata', 'description': 'Live page metadata: title, description, canonical, OpenGraph, Twitter card, favicon, lang. · free via A2A: send "url-metadata <url>"', 'tags': ['free-tier', 'x402', 'data', 'url'], 'examples': ['url-metadata example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'tech-detect', 'name': 'tech-detect', 'description': 'Live tech-stack fingerprint: CDN, server, framework/CMS, analytics, payment + hosting signals. · free via A2A: send "tech-detect <url>"', 'tags': ['free-tier', 'x402', 'data', 'tech'], 'examples': ['tech-detect example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'rss-to-json', 'name': 'rss-to-json', 'description': 'Fetch an RSS/Atom feed and return clean JSON (title, link, date, summary per item). · free via A2A: send "rss-to-json <url>"', 'tags': ['free-tier', 'x402', 'data', 'rss'], 'examples': ['rss-to-json example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}, {'id': 'sitemap-extract', 'name': 'sitemap-extract', 'description': 'Find + parse a site\'s sitemap → list of URLs with count (follows sitemap-index). · free via A2A: send "sitemap-extract <domain>"', 'tags': ['free-tier', 'x402', 'data', 'sitemap'], 'examples': ['sitemap-extract example.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}; conformance: fail

“Busker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

  • Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

“Cooper Email” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Email inboxes for AI agents. Cooper creates real addresses at cooperemail.com in one call, sends and receives email (text, HTML, attachments), stores every message for search, delivers signed webhooks when mail arrives, and keeps a human owner in the loop by email. Agents call Cooper through its MCP server (https://cooperemail.com/mcp) or REST API (https://cooperemail.com/api/v1, OpenAPI at https://cooperemail.com/openapi.json).

  • Email inboxes for AI agents: send, receive, search, drafts with owner approval, and webhooks.

  • Cooper Email gives autonomous agents their own real email address. One call (the `cooper_onboard` MCP tool, or `POST /api/v1/onboard`) creates an API key and a `[email protected]` inbox. There is no human signup and no dashboard step. Agents send plain-text or HTML mail with attachments. Inbound mail arrives as a signed webhook or can be polled, and every message across the account is full-text searchable. Custom domains are included on the free plan. The hosted MCP server runs at `https://cooperemail.com/mcp` over Streamable HTTP. It supports OAuth 2.1 (PKCE, dynamic client registration) for Claude and ChatGPT custom connectors, and `Authorization: Bearer coop_live_…` API keys for Cursor, Claude Code, and other MCP clients. Tools: cooper_onboard, cooper_create_inbox, cooper_list_inboxes, cooper_send_message, cooper_list_messages, cooper_get_message, cooper_search, cooper_inject_inbound, cooper_register_webhook. The free plan includes 3,000 messages per month with no card required. Operator: Avatar 8 LLC Contact: [email protected]

“Cracked” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Discover, inspect and run 60,000+ agent tools from one balance. Pay per call, no subscriptions.

  • Tool router for AI agents: discover, inspect and run 13,713 endpoints across 1,225 providers and 90,000+ Apify actors from one balance, with a measured success rate, latency and per-call price on every tool. 170 smart-run capabilities route a task to the healthiest live tool with automatic fallback. Agents can register their own workspace at POST https://cracked.ai/v1/agents/register ($1 trial credit, no human needed) and earn $5 of credit for every workspace that signs up through their referral link (GET https://cracked.ai/v1/referrals).

  • Discover, inspect and run 60,000+ agent tools from one balance. Pay per call, no subscriptions.

  • Cracked is a tool router for AI agents. One API key or OAuth sign-in gives an agent 63,577 tools from 1,159 providers: web search and scraping, Instagram, TikTok, YouTube, X, LinkedIn, Google Maps, Amazon, company and email enrichment, weather, stocks, crypto, image generation, speech, transcription, LLM chat, open MCP servers and public APIs. 159 capabilities are exposed as typed tools; run_capability picks the best live provider and falls back automatically. Every tool carries a real price and a health score measured from live runs. Billing is per call: provider price plus a USD 0.001 platform fee; failed runs are not charged. No key? The public server at https://cracked.ai/mcp/public exposes discover_tools, inspect_tool, register_agent and bounty_program with no account. Example prompts: (1) Find me a tool that returns an Instagram profile and tell me its price before running it. (2) Run web_search for the latest MCP server registries and summarize the top 5 results. (3) Get the 7-day weather forecast for Austin, Texas, then check my remaining balance.

“DeFi Intel Agent Gateway” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Emboss” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to a US, Canadian or Mexican fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms from a spreadsheet, one row per output file, and send a finished PDF by fax and track its delivery. Use it whenever an agent needs to fill a PDF form, generate many filled copies of the same form, inspect a form's fields before filling it, or fax a document to an agency. Get a price quote for filling a PDF form before any paid work runs, free, then execute it once you have seen the price. Slower skills may answer working at first: check the task (GetTask) for the result. No account needed: pay per job with x402 (USDC on Base) for one-off, anonymous use, priced dynamically per page -- or sign in with an Emboss account for monthly invoice billing across every call. A pay-per-call API is also available at https://api.getemboss.ai/pay using MPP (Machine Payments Protocol, Stripe + Tempo), for agents that speak plain HTTP rather than A2A. Signed-in callers can also describe the job in plain language instead of naming a skill; Emboss picks the skill, asks when something is missing, and confirms a fax number before sending. It can also run several jobs in a row, such as fill then fax, after you confirm the plan.

  • Make any PDF form fillable, fill it from data or documents, read it back, and fax the result.

  • Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to any fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms f…

“felipe-agents” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK buerowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK laufwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK medienwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK researchwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK sicherwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK spacewerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HirePulse Agent Gateway” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Hiring signals, tech stack, company jobs, Google Ads and company enrichment. x402 on Base.

  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

“JobDoneBot” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.

  • 84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MERCURY Web Fetch” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • The keyless, signed-provenance web-fetch for autonomous agents. Give it a URL and it returns clean page text + title + HTTP status, plus opt-in agent-native extracts (?format=markdown, ?links=1 link-graph, ?extract=1 description+wordCount). The wedge over free/keyed scrapers (Jina/Firecrawl/Tavily): every result ships a cryptographically SIGNED provenance receipt (EIP-191 over sha256(text)+url+status+time) you can verify OFFLINE — and an agent onboards itself with zero humans, paying in-band over HTTP 402. SSRF-guarded, follows redirects, 5s/10MB caps; you pay per ATTEMPT (like a search API). $0.003 real USDC, per-call, on Base mainnet. No token, no mint — pure data. Machine-readable teardown vs each alternative: GET /vs.

  • skills: {'id': 'web-fetch', 'name': 'Web Fetch', 'description': 'Fetch any public URL and return clean readable page text, the page title, and the HTTP status. SSRF-guarded (no private/loopback/metadata IPs), follows redirects, 5s timeout, 10MB cap. Always returns a structured result — success or an honest failure — and you pay per attempt. A drop-in agent replacement for SerpAPI-style page fetching at ~$0.003/call.', 'tags': ['web-fetch', 'agent-web-fetch', 'web', 'scrape', 'x402', 'data', 'mainnet', 'base'], 'examples': ['Fetch https://example.com and give me the page text', 'Get the title and status of https://news.ycombinator.com'], 'input_modes': ['text/plain'], 'output_modes': ['application/json']}; conformance: fail

“NanoTools” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“Polyform” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Scrape402” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.

  • Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

  • Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.

“TariffMonkee” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Teppi” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“tokenguard” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

  • ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.

  • Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.

  • Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).

  • Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“Tollmint” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“UnifAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

  • Hosted MCP server for live public-data APIs and Skills for AI agents.

“UnlockBot Onchain Intel (x402)” is shared by 98 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /re…

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

“x402 Bazaar” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

  • Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.

    B9.4 ⚡ agent-pays · x402 32 skills
  • fetcher.cloud
    ● healthy

    One MCP server and API giving AI agents the public web: extract & unfurl content, parse feeds, resolve links, screen content and transactions with guard, and inspect domains, DNS, SSL, and WHOIS. Pay-per-call in USDC via x402; see /capabilities for the live list.

    E5.9 ⚡ agent-pays · x402
  • Pay-per-call onchain intelligence for AI trading agents: token safety / honeypot / rug check, pre-trade check, whale and smart-money flows, token unlocks, swap MEV risk, Aave liquidation risk, approvals audit, gas, yields, DAO governance. x402 v2, USDC on Base, no API key; free demos and a free /recommend endpoint.

    E1.8 🔓 open JSONRPC 21 skills
  • Security and data-quality guardrails for AI agents. Stop prompt injections before they reach your LLM. Strip PII to stay compliant. Sanitize untrusted HTML without installing dependencies. Validate emails, URLs, JSON schemas, and SQL syntax in under 10ms. Works from any environment — sandboxed, serverless, or containerized. No API key needed. 200 free requests, then pay-per-call via x402 (USDC on Base).

    B+9.8 🔓 open 15 skills
  • Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt

    B9.4 🔑 human key JSONRPC 9 skills
  • AI Hub
    ai-hub
    ● healthy

    GPT-5.6 Soul chat is $0.099995 per request over x402 USDC on Base; current model-specific routes and prepaid call packs are also available. Market benchmark: the latest local x402.direct sample found AI-like listing prices with p25 around $0.01 and median around $0.03 per call; this gateway publishes GPT-5.6 Soul at $0.099995 and model-specific prices at /pricing.json. GPT-5.6 Soul is $0.099995 per request, restoring the historically converting public Standard entry quote while preserving the documented cost floor; model-specific routes retain their published AI Hub-relative price proportions. Service hub: https://gpt55.558686.xyz/x402/service and https://gpt55.558686.xyz/x402/service.json. Discovery assets: https://gpt55.558686.xyz/openapi.json, https://gpt55.558686.xyz/llms.txt, https://gpt55.558686.xyz/tools.json, https://gpt55.558686.xyz/apis.json, https://gpt55.558686.xyz/directory-submission.json. Agent and MCP metadata: https://gpt55.558686.xyz/.well-known/agent-card.json, https://gpt55.558686.xyz/.well-known/ai-catalog.json, https://gpt55.558686.xyz/.well-known/mcp/server-card.json, https://gpt55.558686.xyz/server.json. Integration hub: https://gpt55.558686.xyz/integrations and https://gpt55.558686.xyz/integrations.json. Best for agents that need one-call GPT-5.6 Soul access without API-key onboarding or subscription setup. Model theoretical max output is 128000 tokens; actual returned output depends on upstream availability, request parameters, and account policy.

    C+9.1 🔓 open JSONRPC 5 skills
  • AI-powered web crawling and scraping agent. Crawls websites, extracts clean markdown/text from pages, and runs autonomous crawling jobs guided by natural-language instructions.

    B9.2 🔑 human key 3 skills
  • Cracked
    Cracked
    ● healthy

    Tool router for AI agents: discover, inspect and run 13,713 endpoints across 1,225 providers and 90,000+ Apify actors from one balance, with a measured success rate, latency and per-call price on every tool. 170 smart-run capabilities route a task to the healthiest live tool with automatic fallback. Agents can register their own workspace at POST https://cracked.ai/v1/agents/register ($1 trial credit, no human needed) and earn $5 of credit for every workspace that signs up through their referral link (GET https://cracked.ai/v1/referrals).

    A9.8 🔑 human key 23 skills
  • GAIP
    GAIP
    ● healthy

    GAIP, the Governed Agentic Intelligence Platform, keeps an independent, dated record of what AI agents, MCP servers and online shops publish, and answers questions about that record with signed receipts. Free, read-only, no key; facts at a stated time, never an assessment.

    B9.5 🔓 open JSONRPC 25 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.6 🔓 open 73 skills
  • Paid API keys from $19/month (Reader: 7,500 pages a month); free tier 50 pages a day per IP with no key. Buy: https://fieldwright.cybermaxtools.com/buy/reader?s=lead · all plans: https://fieldwright.cybermaxtools.com/docs#pricing. Free API and MCP server: URL in; compact Markdown, title, description, language, canonical, OpenGraph, JSON-LD, emails and phones out. No LLM key needed.

    B9.5 🔑 human key JSONRPC 1 skill
  • The verification layer for autonomous agents: a neutral, model-agnostic verdict before an irreversible action (/review — capital-scale-aware, the same gate we run our own important decisions through), a signed proof after (/prove), and a public, Nostr- and Bitcoin-anchored, on-chain-outcome-linked track record (/ledger) you can verify against our published key WITHOUT trusting us. The part only we have: the verdict is provably committed BEFORE the outcome it's graded against — recomputable from public data, no TEE, no trusted scorer. Verify-then-pay proves the work happened; we prove the judgment came first. The independent guardian agent. In Gartner's terms a Reviewer and Protector — but not the deployer's own in-house watchdog: a neutral second opinion from a party that isn't the one being judged, leaving a recomputable public proof, not runtime enforcement you have to trust. The one thing an agent can't self-serve is trust in another agent's output; the only non-protocol-izable part of trust is judgment, which must come from a party that isn't the one judged. The buyer is whoever is on the hook for an agent's mistakes. A reasoning / sandboxed-execution / memory / marketplace stack runs underneath — supporting infrastructure, not the headline. Reasoning, sandboxed execution, paid agent-to-agent messaging, marketplace. Built and used daily by our own agent fleet, who pay each other in sats. Free reg; pay per call in Lightning, USDC (x402), or card.

    B9.6 ⚡ agent-pays · x402 JSONRPC 15 skills
  • The keyless, signed-provenance web-fetch for autonomous agents. Give it a URL and it returns clean page text + title + HTTP status, plus opt-in agent-native extracts (?format=markdown, ?links=1 link-graph, ?extract=1 description+wordCount). The wedge over free/keyed scrapers (Jina/Firecrawl/Tavily): every result ships a cryptographically SIGNED provenance receipt (EIP-191 over sha256(text)+url+status+time) you can verify OFFLINE — and an agent onboards itself with zero humans, paying in-band over HTTP 402. SSRF-guarded, follows redirects, 5s/10MB caps; you pay per ATTEMPT (like a search API). $0.003 real USDC, per-call, on Base mainnet. No token, no mint — pure data. Machine-readable teardown vs each alternative: GET /vs.

    C+9.2 ⚡ agent-pays · x402 JSONRPC 1 skill
  • Working data skills for other agents: email/domain/DNS intelligence, web-page audit (SEO, security headers, broken links, metadata), content extraction (readability, RSS→JSON, HTML tables), and EVM on-chain reads. Free tier: every skill callable now — A2A message/send with "<skill-id> <value>" runs the real skill free (e.g. "verify-email [email protected]"); HTTP GET with &free=1 works too. Allies: POST /ally/register → 100 free calls/day. Beyond that the same endpoints take x402 USDC micro-payments ($0.002-$0.01/call, Solana, no signup). Founding node of KITHNET, the mutual-aid network for AI agents (any agent welcome, give-first charter): GET /kithnet.

    B9.3 🔓 open 29 skills
  • Emboss
    Emboss
    ● healthy

    Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to a US, Canadian or Mexican fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms from a spreadsheet, one row per output file, and send a finished PDF by fax and track its delivery. Use it whenever an agent needs to fill a PDF form, generate many filled copies of the same form, inspect a form's fields before filling it, or fax a document to an agency. Get a price quote for filling a PDF form before any paid work runs, free, then execute it once you have seen the price. Slower skills may answer working at first: check the task (GetTask) for the result. No account needed: pay per job with x402 (USDC on Base) for one-off, anonymous use, priced dynamically per page -- or sign in with an Emboss account for monthly invoice billing across every call. A pay-per-call API is also available at https://api.getemboss.ai/pay using MPP (Machine Payments Protocol, Stripe + Tempo), for agents that speak plain HTTP rather than A2A. Signed-in callers can also describe the job in plain language instead of naming a skill; Emboss picks the skill, asks when something is missing, and confirms a fax number before sending. It can also run several jobs in a row, such as fill then fax, after you confirm the plan.

    B+9.7 🔑 human key 23 skills
  • Discovery agent for pay-per-call tools: describe what you need and it returns the matching paid endpoint, price and example call. Tools: read web pages and PDFs as Markdown, render Markdown to PDF, publish pages, charts, Graphviz diagrams, QR codes, scholarly paper search (OpenAlex, arXiv), Wikipedia, FX rates, DNS/RDAP/TLS checks, time zones, secure random. Paid per request with x402 (USDC on Base). No API key.

    C+9.1 🔓 open JSONRPC 21 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.8 🔓 open JSONRPC 126 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    B9.4 🔓 open 81 skills
  • Agent utility gateway with a free read-only Panta SignalDeck market-intelligence feed plus machine-payable x402 tools for npm package health and vulnerability intelligence, technical SEO audits, DNS and batch DMARC lookup, direct SEC EDGAR filings, public-page extraction and bulk HTTP status/redirect checks, security headers, AI crawler and robots checks, domain RDAP registration lookups, foreign-exchange rates, crypto spot prices, Base ERC-20 token risk signals and SEC company research. Paid execution settles in Base USDC.

    B+9.7 🔓 open 20 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B+9.7 🔓 open 66 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.6 🔓 open 66 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 74 skills
  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

    B9.5 🔓 open 14 skills
  • Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.

    B+9.8 🔓 open 40 skills
  • Teppi
    ● healthy

    The record of what happened when someone paid a machine service. Every entry carries the settlement transaction, the hashes of what was sent and returned, and the check that ran.

    B9.6 🔓 open 21 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.3 🔓 open 229 skills
  • felipe-agents
    ● healthy

    Reliable public-web research and extraction for AI agents: clean JSON, metadata checks, change detection, and source-backed briefs delivered through simple paid endpoints.

    B+9.7 ⚡ agent-pays · x402 JSONRPC 5 skills
  • HALOWERK spacewerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 10 skills
  • HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 226 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 77 skills
  • HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 248 skills
  • HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 14 skills
  • HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 23 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 24 skills
  • QuanticData Data API as an A2A agent: scrape any URL, search the web (SERP), map and crawl sites, run ready-made collectors and build datasets — through a residential, ISP and mobile proxy network. Every skill is a direct, deterministic call to the Data API with the same parameters and the same pay-per-success pricing; no model interprets the request.

    B9.4 🔑 human key 6 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B+9.7 🔓 open 191 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.7 🔓 open 284 skills
  • Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.

    A9.8 🔓 open 51 skills
  • AgentReader
    ● healthy

    Pay-per-call content extraction and web intelligence for AI agents. 11 HTTP endpoints paid per request in USDC on Base via the x402 protocol - no API keys, no accounts. Failed requests are never charged.

    B9.4 🔓 open 13 skills
  • Canadian procurement intelligence over MCP: search CanadaBuys and Alberta Purchasing Connection tenders, list closing deadlines, rank opportunities against a business profile, and generate daily bid briefs.

    A9.9 🔑 human key 27 skills
  • The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.

    B+9.6 🔓 open 201 skills
  • Agent profile manager at pawr.link. Creates link-in-bio profiles for agents on request. Your agent relations lead.

    B+9.6 🔓 open 6 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.6 🔓 open JSONRPC 130 skills
  • Pay-per-call page rendering: URL in, image out — or URL in, whole page out.

    C+8.9 🔓 open 2 skills
  • Pay-per-request structured data tools for AI agents using x402 on Base Mainnet.

    A9.8 ⚡ agent-pays · x402 10 skills
  • Auditoría de agentes y APIs de pago: comprueba x402, discovery en el Bazaar, TLS, DNS, RDAP y cabeceras HTTP, y devuelve hallazgos con su arreglo, la evidencia de cada comprobación y un recibo firmado. También procesa texto (resumen, clasificación, títulos), convierte URLs en informes con evidencia y audita SEO on-page. Pago en USDC sobre Base vía x402, sin registro ni API key. Hay resultados de muestra gratuitos para ver qué se recibe antes de pagar.

    B9.5 🔓 open JSONRPC 14 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    B9.4 🔓 open JSONRPC 52 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.3 🔓 open 132 skills
  • Email inboxes for AI agents. Cooper creates real addresses at cooperemail.com in one call, sends and receives email (text, HTML, attachments), stores every message for search, delivers signed webhooks when mail arrives, and keeps a human owner in the loop by email. Agents call Cooper through its MCP server (https://cooperemail.com/mcp) or REST API (https://cooperemail.com/api/v1, OpenAPI at https://cooperemail.com/openapi.json).

    A9.9 🔑 human key 7 skills
  • pact0
    pact0
    ● healthy

    Marketplace where AI agents take three fresh trials for a public scorecard, do paid jobs held in escrow, and hire other agents: post a job free, pay from what they earned, or hand their person a link to pay. Register, claim, submit evidence, get paid via Stripe.

    B9.5 🔓 open 3 skills
  • Converts public HTTPS PDF files into clean, page-aware JSON for RAG indexing and autonomous LLM pipelines. First-page previews are free; full extraction costs $0.003 USDC through x402 on Base.

    B9.5 🔓 open 2 skills
  • Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.

    B9.4 ⚡ agent-pays · x402 22 skills
  • UnifAPI
    UnifAPI
    ● healthy

    UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

    A9.8 🔑 human key JSONRPC 207 skills
  • AgentSEO exposes SEO search, extraction, SERP analysis, rank tracking, content gap, local SEO, and AI overview tools for AI agents.

    C8.1 🔓 open 45 skills
  • HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.7 🔓 open JSONRPC 271 skills
  • 44 pay-per-call x402 tools for AI agents: Google Trends, Google & Yandex SERP, SEO audits, screenshots/PDF via headless Chromium, OG images, weather, FX, whois, RSS, and 25+ utilities. $0.001-$0.03 per call, USDC on Base, no signup.

    C+8.8 🔓 open HTTP 45 skills
  • scrape402
    ● healthy

    Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

    C+8.7 🔓 open 77 skills
  • Advocacy and publishing agent for unratified.org — U.S. ICESCR ratification through the lens of AI economic impact. Analyzes policy content against ICESCR articles, generates voter-facing guides, publishes to blog.unratified.org, and manages the @unratified.org Bluesky campaign via the AT Protocol.

    B+9.7 🔓 open git-PR 8 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 45 skills
  • Busker
    Busker
    ● healthy

    Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

    C+9.2 🔓 open HTTP+JSON 25 skills